Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to install ssh-import-id for openssh-server but I got this... It totally blew my mind. I really need some help here! Thanks a lot in advance! -S

$ sudo apt-get install ssh-import-id
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
texlive-common libopencc1 folks-common libyaml-tiny-perl libpth20 fakeroot libbrlapi0.5 ttf-dejavu-extra libmeanwhile1 liblouis-data syslinux-legacy
  git-man empathy-common gcc-4.4-base java-common rpm-common syslinux-common libdotconf1.0 libexttextcat-data texlive-latex-recommended-doc
  icedtea-netx-common xbitmaps command-not-found-data texlive-latex-base-doc libsonic0 liblouis2 libgif4 libgtksourceview-3.0-common espeak-data tzdata-java
  apport-symptoms libminiupnpc8 remmina-common texlive-fonts-recommended-doc ibus-pinyin-db-android libspeechd2 libutempter0 ubuntu-wallpapers vim-runtime
  libyajl1 app-install-data libdb4.8 texlive-doc-base libevent-2.0-5 libmhash2 patch texlive-pstricks-doc librsync1 tex-common lacheck adium-theme-ubuntu
  activity-log-manager-common
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libenca0 libgl1-mesa-glx libglapi-mesa librcc0 librcd0 libtag1-rusxmms python3 python3-minimal python3.2 python3.2-minimal
Suggested packages:
  python3-doc python3-tk python3.2-doc binfmt-support
Recommended packages:
  openssh-server
The following packages will be REMOVED:
  accountsservice acl acpi-support acpid activity-log-manager-control-center aisleriot alsa-base alsa-utils anacron apg apparmor appmenu-gtk appmenu-gtk3
  appmenu-qt apport apport-gtk apt apt-transport-https apt-utils apt-xapian-index aptdaemon apturl apturl-common aspell aspell-en at at-spi2-core
  avahi-autoipd avahi-daemon avahi-utils bamfdaemon baobab base-files bash bash-completion bc bind9-host binutils bluez bluez-alsa bluez-cups bluez-gstreamer
  brasero brasero-cdrkit brasero-common brltty bsdmainutils bzip2 ca-certificates-java checkbox checkbox-qt colord command-not-found compiz compiz-core
  compiz-gnome compiz-plugins-default compiz-plugins-main-default compizconfig-backend-gconf console-setup consolekit cpp cpp-4.4 cpp-4.6 crda cron
  cryptsetup-bin cups cups-bsd cups-client cups-filters cups-ppdc curl dbus dbus-x11 dconf-gsettings-backend dconf-service default-jre default-jre-headless
  deja-dup desktop-file-utils dictionaries-common dkms dmidecode dmsetup dnsmasq-base dnsutils doc-base dosfstools dropbox duplicity dvd+rw-tools ed eject
  empathy enchant eog espeak evince evince-common evolution-data-server file file-roller firefox firefox-gnome-support fontconfig foomatic-db-compressed-ppds
  foomatic-db-engine foomatic-filters friendly-recovery ftp fuse g++ g++-4.4 g++-4.6 gcalctool gcc gcc-4.4 gcc-4.6 gconf-service gconf-service-backend gconf2
  gdb gedit gedit-common genisoimage geoclue geoclue-ubuntu-geoip gettext gettext-base ghostscript ghostscript-cups ghostscript-x ginn
  gir1.2-appindicator3-0.1 gir1.2-atk-1.0 gir1.2-atspi-2.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dbusmenu-gtk-0.4 gir1.2-dee-1.0 gir1.2-gdkpixbuf-2.0
  gir1.2-gmenu-3.0 gir1.2-gnomebluetooth-1.0 gir1.2-gnomekeyring-1.0 gir1.2-gtk-2.0 gir1.2-gtk-3.0 gir1.2-gtksource-3.0 gir1.2-gudev-1.0 gir1.2-indicate-0.7
  gir1.2-launchpad-integration-3.0 gir1.2-notify-0.7 gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-rb-3.0 gir1.2-soup-2.4 gir1.2-totem-1.0
  gir1.2-totem-plparser-1.0 gir1.2-ubuntuoneui-3.0 gir1.2-unity-5.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gir1.2-wnck-3.0 git gksu glib-networking
  glib-networking-services gnome-bluetooth gnome-control-center gnome-disk-utility gnome-font-viewer gnome-games-data gnome-icon-theme
  gnome-icon-theme-symbolic gnome-keyring gnome-media gnome-menus gnome-nettool gnome-online-accounts gnome-orca gnome-power-manager gnome-screensaver
  gnome-screenshot gnome-session gnome-session-bin gnome-session-canberra gnome-session-common gnome-settings-daemon gnome-sudoku gnome-system-log
  gnome-system-monitor gnome-terminal gnome-terminal-data gnome-user-guide gnome-user-share gnomine gnupg google-chrome-stable gpgv groff-base growisofs
  grub-common grub-gfxpayload-lists grub-pc grub-pc-bin grub2-common gs-cjk-resource gsettings-desktop-schemas gstreamer0.10-alsa gstreamer0.10-gconf
  gstreamer0.10-nice gstreamer0.10-plugins-base gstreamer0.10-plugins-base-apps gstreamer0.10-plugins-good gstreamer0.10-pulseaudio gstreamer0.10-tools
  gstreamer0.10-x gtk2-engines gtk2-engines-murrine gtk3-engines-unico gucharmap guile-1.8-libs gvfs gvfs-backends gvfs-bin gvfs-common gvfs-daemons
  gvfs-fuse gvfs-libs gwibber gwibber-service gwibber-service-facebook gwibber-service-identica gwibber-service-twitter hdparm hplip hplip-data
  humanity-icon-theme hunspell-en-ca hunspell-en-us hwdata hyphen-en-us ibus ibus-gtk ibus-gtk3 ibus-pinyin ibus-table icedtea-6-jre-cacao
  icedtea-6-jre-jamvm icedtea-7-jre-jamvm icedtea-netx indicator-application indicator-appmenu indicator-datetime indicator-messages indicator-power
  indicator-printers indicator-session indicator-sound indicator-status-provider-mc5 info install-info intel-gpu-tools intltool-debian iptables iputils-ping
  iputils-tracepath irqbalance isc-dhcp-client isc-dhcp-common iw jockey-common jockey-gtk kbd kerneloops-daemon keyboard-configuration
  landscape-client-ui-install language-pack-en language-pack-en-base language-pack-gnome-en language-pack-gnome-en-base language-selector-common
  language-selector-gnome laptop-detect latex-beamer latex-xcolor launchpad-integration less libaa1 libaccountsservice0 libappindicator1 libappindicator3-1
  libapr1 libaprutil1 libapt-inst1.4 libapt-pkg4.12 libarchive12 libasn1-8-heimdal libasound2 libasound2-plugins libasyncns0 libatasmart4 libatk-adaptor
  libatk-adaptor-schemas libatk-wrapper-java libatk-wrapper-java-jni libatk1.0-0 libatkmm-1.6-1 libatspi2.0-0 libaudio2 libavahi-client3 libavahi-common3
  libavahi-core7 libavahi-glib1 libavahi-gobject0 libavahi-ui-gtk3-0 libavc1394-0 libbamf0 libbamf3-0 libbind9-80 libbluetooth3 libbonobo2-0
  libboost-graph-dev libboost-graph1.46-dev libboost-graph1.46.1 libboost-regex1.46.1 libboost-serialization1.46-dev libboost-serialization1.46.1
  libboost-test1.46-dev libboost-test1.46.1 libboost1.46-dev libbrasero-media3-1 libbsd0 libc6-dev libcaca0 libcairo-gobject2 libcairo-perl libcairo2
  libcairomm-1.0-1 libcamel-1.2-29 libcanberra-gtk-module libcanberra-gtk0 libcanberra-gtk3-0 libcanberra-gtk3-module libcanberra-pulse libcanberra0
  libcap-ng0 libcap2 libcap2-bin libcdio-cdda1 libcdio-paranoia1 libcdio13 libcdparanoia0 libck-connector0 libcmis-0.2-0 libcolord1 libcompizconfig0
  libcroco3 libcrypt-passwdmd5-perl libcryptsetup4 libcups2 libcupscgi1 libcupsdriver1 libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3
  libcurl3-gnutls libcurl3-nss libdaemon0 libdbus-glib-1-2 libdbusmenu-glib4 libdbusmenu-gtk3-4 libdbusmenu-gtk4 libdbusmenu-qt2 libdconf-dbus-1-0
  libdconf-qt0 libdconf0 libdecoration0 libdee-1.0-4 libdevmapper-event1.02.1 libdevmapper1.02.1 libdjvulibre21 libdmapsharing-3.0-2 libdns81 libdv4
  libebackend-1.2-1 libebook-1.2-12 libecal-1.2-10 libedata-book-1.2-11 libedata-cal-1.2-13 libedataserver-1.2-15 libedataserverui-3.0-1 libedit2 libelf1
  libenchant1c2a liberror-perl libespeak1 libevince3-3 libexempi3 libexif12 libexiv2-11 libexttextcat0 libfarstream-0.1-0 libfile-basedir-perl
  libfile-copy-recursive-perl libfile-desktopentry-perl libfile-mimeinfo-perl libflac8 libfolks-eds25 libfolks-telepathy25 libfolks25 libfontconfig1
  libfontenc1 libframe6 libfreerdp-plugins-standard libfreerdp1 libfreetype6 libfribidi0 libfuse2 libgail-3-0 libgail-common libgail18 libgck-1-0
  libgconf-2-4 libgconf2-4 libgcr-3-1 libgcrypt11 libgd2-xpm libgdata13 libgdbm3 libgdk-pixbuf2.0-0 libgdu-gtk0 libgdu0 libgee2 libgeis1 libgeoclue0
  libgeoip1 libgettextpo0 libgexiv2-1 libgksu2-0 libgl1-mesa-dri-lts-quantal libgl1-mesa-glx-lts-quantal libglapi-mesa-lts-quantal libglew1.6 libglib-perl
  libglib2.0-bin libglibmm-2.4-1c2a libglu1-mesa libgmime-2.6-0 libgmp10 libgnome-bluetooth8 libgnome-control-center1 libgnome-desktop-3-2 libgnome-keyring0
  libgnome-media-profiles-3.0-0 libgnome-menu-3-0 libgnome2-0 libgnome2-bin libgnome2-common libgnomekbd-common libgnomekbd7 libgnomevfs2-0
  libgnomevfs2-common libgnutls26 libgoa-1.0-0 libgomp1 libgpg-error0 libgpgme11 libgphoto2-2 libgphoto2-port0 libgpm2 libgpod-common libgpod4 libgrail5
  libgrip0 libgs9 libgssapi-krb5-2 libgssapi3-heimdal libgssdp-1.0-3 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk-3-0 libgtk-3-bin
  libgtk-3-common libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgtkmm-3.0-1 libgtksourceview-3.0-0 libgtkspell-3-0 libgtop2-7 libgucharmap-2-90-7 libgudev-1.0-0
  libgupnp-1.0-4 libgupnp-igd-1.0-4 libgweather-3-0 libgweather-common libgwibber-gtk2 libgwibber2 libhcrypto4-heimdal libheimntlm0-heimdal libhpmud0
  libhunspell-1.3-0 libhx509-5-heimdal libhyphen0 libibus-1.0-0 libical0 libice6 libicu48 libidl-common libidl0 libido3-0.1-0 libiec61883-0 libieee1284-3
  libijs-0.35 libimobiledevice2 libindicate-gtk3 libindicate5 libindicator3-7 libindicator7 libisc83 libisccc80 libisccfg82 libisofs6 libjack-jackd2-0
  libjasper1 libjavascriptcoregtk-3.0-0 libjson-glib-1.0-0 libjson0 libjte1 libk5crypto3 libkpathsea5 libkrb5-26-heimdal libkrb5-3 libkrb5support0
  liblaunchpad-integration-3.0-1 liblcms1 liblcms2-2 libldap-2.4-2 liblightdm-gobject-1-0 liblockfile-bin liblockfile1 libltdl7 liblua5.1-0 liblvm2app2.2
  liblwres80 libmagic1 libmail-sendmail-perl libmetacity-private0 libmission-control-plugins0 libmng1 libmpc2 libmpfr4 libmtp-runtime libmtp9
  libmusicbrainz3-6 libmythes-1.2-0 libnautilus-extension1a libneon27-gnutls libnetfilter-conntrack3 libnettle4 libnewt0.52 libnfnetlink0 libnice10
  libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libnm-glib-vpn1 libnm-glib4 libnm-gtk0 libnm-util2 libnotify-bin libnotify4 libnspr4 libnss-mdns libnss3
  libnss3-1d libnux-2.0-0 liboauth0 libogg0 libopenobex1 liborbit2 liborc-0.4-0 liboverlay-scrollbar-0.2-0 liboverlay-scrollbar3-0.2-0 libp11-kit0
  libpackagekit-glib2-14 libpam-cap libpam-ck-connector libpam-gnome-keyring libpango-perl libpango1.0-0 libpangomm-1.4-1 libpaper-utils libpaper1
  libparted0debian1 libpcap0.8 libpci3 libpcsclite1 libpeas-1.0-0 libpipeline1 libpixman-1-0 libplist1 libpolkit-agent-1-0 libpolkit-backend-1-0
  libpolkit-gobject-1-0 libpoppler-glib8 libpoppler19 libpopt0 libportaudio2 libprotobuf7 libprotoc7 libproxy1 libproxy1-plugin-gsettings
  libproxy1-plugin-networkmanager libpulse-mainloop-glib0 libpulse0 libpulsedsp libpurple-bin libpurple0 libpython2.7 libqt4-dbus libqt4-declarative
  libqt4-network libqt4-opengl libqt4-script libqt4-sql libqt4-sql-sqlite libqt4-svg libqt4-xml libqt4-xmlpatterns libqtbamf1 libqtcore4 libqtdee2
  libqtgconf1 libqtgui4 libquadmath0 libquvi7 libraptor2-0 librasqal3 libraw1394-11 libraw5 librdf0 libreoffice-base-core libreoffice-calc libreoffice-common
  libreoffice-core libreoffice-draw libreoffice-emailmerge libreoffice-gnome libreoffice-gtk libreoffice-help-en-gb libreoffice-help-en-us
  libreoffice-impress libreoffice-l10n-en-gb libreoffice-l10n-en-za libreoffice-math libreoffice-style-human libreoffice-style-tango libreoffice-writer
  librest-0.7-0 librhythmbox-core5 libroken18-heimdal librpm2 librpmbuild2 librpmio2 librpmsign0 librsvg2-2 librsvg2-common librtmp0 libsamplerate0 libsane
  libsane-hpaio libsasl2-2 libsasl2-modules libsdl1.2debian libsgutils2-2 libshout3 libsigc++-2.0-0c2a libslp1 libsm6 libsmbclient libsndfile1 libsnmp15
  libsoup-gnome2.4-1 libsoup2.4-1 libspectre1 libspeex1 libspeexdsp1 libssh-4 libstartup-notification0 libstdc++6-4.4-dev libstdc++6-4.6-dev libsvn1
  libswitch-perl libsyncdaemon-1.0-1 libsys-hostname-long-perl libt1-5 libtag1-vanilla libtag1c2a libtalloc2 libtasn1-3 libtdb1 libtelepathy-farstream2
  libtelepathy-glib0 libtelepathy-logger2 libthai0 libtheora0 libtiff4 libtimezonemap1 libtotem-plparser17 libtotem0 libubuntuoneui-3.0-1 libunique-3.0-0
  libunistring0 libunity-2d-private0 libunity-core-5.0-5 libunity-misc4 libunity9 libupower-glib1 libusb-0.1-4 libusb-1.0-0 libusbmuxd1 libuuid-perl libv4l-0
  libvisual-0.4-0 libvisual-0.4-plugins libvncserver0 libvorbis0a libvorbisenc2 libvorbisfile3 libvte-2.90-9 libwacom2 libwavpack1 libwbclient0
  libwebkitgtk-3.0-0 libwind0-heimdal libwmf0.2-7 libwmf0.2-7-gtk libwnck-3-0 libwnck22 libwpd-0.9-9 libwpg-0.2-2 libwps-0.2-2 libwrap0 libxapian22
  libxatracker1-lts-quantal libxaw7 libxcb-dri2-0 libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-util0 libxcomposite1 libxcursor1 libxfont1 libxft2 libxi6
  libxinerama1 libxkbfile1 libxklavier16 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr-ltsq2 libxrandr2 libxrender1 libxres1 libxslt1.1 libxss1 libxt6 libxtst6
  libxv1 libxvmc1 libxxf86dga1 libyelp0 libzeitgeist-1.0-1 libzephyr4 light-themes lightdm linux-generic-lts-quantal linux-image-3.5.0-23-generic
  linux-image-3.5.0-40-generic linux-image-generic-lts-quantal linux-sound-base lmodern locales lockfile-progs logrotate lsb-release lshw lsof ltrace luatex
  mahjongg make man-db mawk media-player-info metacity metacity-common mlocate modemmanager mousetweaks mtools mtr-tiny myspell-en-au myspell-en-gb
  myspell-en-za mythes-en-au mythes-en-us nano nautilus nautilus-data nautilus-sendto nautilus-sendto-empathy nautilus-share net-tools netbase netcat-openbsd
  network-manager network-manager-gnome network-manager-pptp network-manager-pptp-gnome notify-osd ntfs-3g ntpdate nux-tools nvidia-common obex-data-server
  obexd-client onboard oneconf openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib openjdk-7-jre openjdk-7-jre-headless openjdk-7-jre-lib
  openoffice.org-hyphenation openprinting-ppds openssh-client overlay-scrollbar parted pciutils perl perl-modules pgf pkg-config plymouth-label
  plymouth-theme-ubuntu-logo plymouth-theme-ubuntu-text pm-utils po-debconf policykit-1 policykit-1-gnome poppler-utils powermgmt-base ppp pppconfig
  pppoeconf pptp-linux printer-driver-c2esp printer-driver-foo2zjs printer-driver-gutenprint printer-driver-hpcups printer-driver-hpijs
  printer-driver-min12xxw printer-driver-pnm2ppa printer-driver-postscript-hp printer-driver-ptouch printer-driver-pxljr printer-driver-sag-gdi
  printer-driver-splix prosper protobuf-compiler ps2eps psmisc pulseaudio pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-x11
  pulseaudio-utils python python-appindicator python-apport python-apt python-apt-common python-aptdaemon python-aptdaemon.gtk3widgets
  python-aptdaemon.pkcompat python-brlapi python-cairo python-chardet python-configglue python-crypto python-cups python-cupshelpers python-dateutil
  python-dbus python-debian python-debtagshw python-defer python-dirspec python-egenix-mxdatetime python-egenix-mxtools python-gconf python-gdbm python-gi
  python-gi-cairo python-gnomekeyring python-gnupginterface python-gobject python-gobject-2 python-gst0.10 python-gtk2 python-httplib2 python-ibus
  python-imaging python-keyring python-launchpadlib python-lazr.restfulclient python-lazr.uri python-libproxy python-libxml2 python-louis python-mako
  python-markupsafe python-notify python-oauth python-openssl python-packagekit python-pam python-pexpect python-piston-mini-client python-pkg-resources
  python-problem-report python-protobuf python-pyatspi2 python-pycurl python-pyinotify python-renderpm python-reportlab python-reportlab-accel python-serial
  python-simplejson python-smbc python-software-properties python-speechd python-twisted-bin python-twisted-core python-twisted-names python-twisted-web
  python-ubuntu-sso-client python-ubuntuone-client python-ubuntuone-control-panel python-ubuntuone-storageprotocol python-uno python-virtkey python-wadllib
  python-xapian python-xdg python-xkit python-zeitgeist python-zope.interface python2.7 qdbus qt-at-spi radeontool remmina remmina-plugin-rdp
  remmina-plugin-vnc resolvconf rfkill rhythmbox rhythmbox-data rhythmbox-mozilla rhythmbox-plugin-cdrecorder rhythmbox-plugin-magnatune
  rhythmbox-plugin-zeitgeist rhythmbox-plugins rhythmbox-ubuntuone rpm rpm2cpio rsync rsyslog rtkit samba-common-bin sane-utils seahorse sessioninstaller
  shared-mime-info shotwell simple-scan smbclient sni-qt software-center software-center-aptdaemon-plugins software-properties-common software-properties-gtk
  speech-dispatcher ssh-askpass-gnome strace subversion sudo syslinux system-config-printer-common system-config-printer-gnome system-config-printer-udev
  tcpd tcpdump telepathy-gabble telepathy-haze telepathy-idle telepathy-indicator telepathy-logger telepathy-mission-control-5 telepathy-salut telnet texlive
  texlive-base texlive-binaries texlive-extra-utils texlive-font-utils texlive-fonts-recommended texlive-generic-recommended texlive-latex-base
  texlive-latex-recommended texlive-luatex texlive-pstricks thunderbird thunderbird-globalmenu thunderbird-gnome-support thunderbird-locale-en
  thunderbird-locale-en-gb thunderbird-locale-en-us time tipa toshset totem totem-common totem-mozilla totem-plugins transmission-gtk ubuntu-artwork
  ubuntu-desktop ubuntu-docs ubuntu-extras-keyring ubuntu-minimal ubuntu-mono ubuntu-sso-client ubuntu-sso-client-gtk ubuntu-standard ubuntu-system-service
  ubuntuone-client ubuntuone-client-gnome ubuntuone-control-panel ubuntuone-couch ubuntuone-installer udisks ufw unattended-upgrades unity unity-2d
  unity-2d-common unity-2d-panel unity-2d-shell unity-2d-spread unity-asset-pool unity-common unity-greeter unity-lens-applications unity-lens-files
  unity-lens-music unity-lens-video unity-scope-musicstores unity-scope-video-remote unity-services uno-libs3 unzip update-inetd update-manager
  update-manager-core update-notifier update-notifier-common upower ure ureadahead usb-creator-common usb-creator-gtk usb-modeswitch usb-modeswitch-data
  usbmuxd usbutils uuid-runtime vbetool vim vim-common vim-tiny vino virtualbox-4.2 wbritish whiptail whois whoopsie wodim wpasupplicant x11-apps
  x11-session-utils x11-utils x11-xfs-utils x11-xkb-utils x11-xserver-utils x11-xserver-utils-lts-quantal xauth xdg-user-dirs xdg-user-dirs-gtk xdiagnose
  xfonts-base xfonts-mathml xfonts-scalable xfonts-utils xinit xinput xorg xserver-common xserver-common-lts-quantal xserver-xorg-core-lts-quantal
  xserver-xorg-input-all-lts-quantal xserver-xorg-input-evdev-lts-quantal xserver-xorg-input-mouse-lts-quantal xserver-xorg-input-synaptics-lts-quantal
  xserver-xorg-input-vmmouse-lts-quantal xserver-xorg-input-wacom-lts-quantal xserver-xorg-lts-quantal xserver-xorg-video-all-lts-quantal
  xserver-xorg-video-ati-lts-quantal xserver-xorg-video-cirrus-lts-quantal xserver-xorg-video-fbdev-lts-quantal xserver-xorg-video-intel-lts-quantal
  xserver-xorg-video-mach64-lts-quantal xserver-xorg-video-mga-lts-quantal xserver-xorg-video-modesetting-lts-quantal xserver-xorg-video-neomagic-lts-quantal
  xserver-xorg-video-nouveau-lts-quantal xserver-xorg-video-openchrome-lts-quantal xserver-xorg-video-r128-lts-quantal xserver-xorg-video-radeon-lts-quantal
  xserver-xorg-video-s3-lts-quantal xserver-xorg-video-savage-lts-quantal xserver-xorg-video-siliconmotion-lts-quantal xserver-xorg-video-sis-lts-quantal
  xserver-xorg-video-sisusb-lts-quantal xserver-xorg-video-tdfx-lts-quantal xserver-xorg-video-trident-lts-quantal xserver-xorg-video-vesa-lts-quantal
  xserver-xorg-video-vmware-lts-quantal xterm xul-ext-ubufox xz-lzma yelp zeitgeist zeitgeist-core zeitgeist-datahub zenity zip
The following NEW packages will be installed:
  libenca0 libgl1-mesa-glx libglapi-mesa librcc0 librcd0 libtag1-rusxmms python3 python3-minimal python3.2 python3.2-minimal ssh-import-id
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
  apt libapt-pkg4.12 (due to apt) gnupg (due to apt) base-files bash
0 upgraded, 11 newly installed, 1168 to remove and 0 not upgraded.
Need to get 4,975 kB of archives.
After this operation, 2,581 MB disk space will be freed.
You are about to do something potentially harmful.
To continue type in the phrase 'Yes, do as I say!'
 ?] n
share|improve this question
    
Have you run sudo apt-get update first? Also, do you think this is related to ssh-import-id? If not, please fix the title of the question. –  zwets Sep 26 '13 at 20:59
    
Yes, I have run apt-get update and apt-get autoremove before trying to install ssh-import-id. -Shawn –  Shawn Sep 27 '13 at 14:27
    
This is interesting. Can you run sudo apt-get clean && sudo apt-get update && sudo apt-get install -f and show us the output? That last part will attempt to install any missing packages; it shouldn't give you that huge list to remove. If it does give you the huge list, abort it. If it doesn't, good. Then, try sudo apt-get install ssh-import-id --no-install-recommends and show us the output, let's see if it still wants to remove that huge list. Don't hit yes if it does prompt you! –  Alaa Ali Sep 29 '13 at 17:21

2 Answers 2

As the author and maintainer of ssh-import-id, I can definitively tell you that this is unrelated to ssh-import-id. You system has a bunch of packages in an incomplete state. If you get that cleared first, perhaps using sudo apt-get install -f, you should then be able to install ssh-import-id cleanly and simply.

share|improve this answer

I have got run into the exactly same problem installing openssh-server. sudo apt-get install -f did not help.

In the end I have found what is the problem. openssh-server depends on the newer version of openssh-client then I have installed. However, I disabled updates, so it cannot meet the dependency and apt goes crazy.

The solution is simple: Go the the repository preferences (software sources) and enable "Install updates from: Important security updates".

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.